const mongoose = require("mongoose");

const FacultySchema = new mongoose.Schema({
  facultyId: { type: String, required: true, unique: true },
  name: { type: String, required: true },
  email: { type: String, required: true },
  department: { type: String, required: true },
  program: { type: String, required: true },
  courses: [{ type: String }],
});

module.exports = mongoose.model("Faculty", FacultySchema);
